Package org.apache.wiki.htmltowiki.syntax

## Class PlainTextCssSpecialDecorator

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.PlainTextCssSpecialDecorator

    public abstract class PlainTextCssSpecialDecorator
    extends java.lang.Object

Translates to wiki syntax from a plain text handling special css.

### Field Summary

Fields
`protected XHtmlElementToWikiTranslator` `chain`
`protected java.io.PrintWriter` `out`

### Constructor Summary

Constructors
`protected` `PlainTextCssSpecialDecorator​(java.io.PrintWriter out, XHtmlElementToWikiTranslator chain)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `decorate​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)` Translates the given XHTML element into wiki markup.
`protected abstract java.lang.String` `markupCssSpecialClose​(java.lang.String cssStyle)` Closing wiki markup for a css style element.
`protected abstract java.lang.String` `markupCssSpecialDivClose​(java.lang.String cssStyle)` Closing wiki markup for a css style element.
`protected abstract java.lang.String` `markupCssSpecialDivOpen​(java.lang.String cssStyle)` Opening wiki markup for a css style element.
`protected abstract java.lang.String` `markupCssSpecialOpen​(java.lang.String cssStyle)` Opening wiki markup for a css style element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected final java.io.PrintWriter out

#### chain

    protected final XHtmlElementToWikiTranslator chain

### Constructor Detail

#### PlainTextCssSpecialDecorator

    protected PlainTextCssSpecialDecorator​(java.io.PrintWriter out,
                                           XHtmlElementToWikiTranslator chain)

### Method Detail

#### decorate

    public void decorate​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)
                  throws org.jdom2.JDOMException

Translates the given XHTML element into wiki markup.

Parameters:
  `dto` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

#### markupCssSpecialDivOpen

    protected abstract java.lang.String markupCssSpecialDivOpen​(java.lang.String cssStyle)

Opening wiki markup for a css style element.

Parameters:
  `cssStyle` - css styles to apply
Returns:
  Opening wiki markup for a css style element.

#### markupCssSpecialDivClose

    protected abstract java.lang.String markupCssSpecialDivClose​(java.lang.String cssStyle)

Closing wiki markup for a css style element.

Parameters:
  `cssStyle` - css styles to apply
Returns:
  Closing wiki markup for a css style element.

#### markupCssSpecialOpen

    protected abstract java.lang.String markupCssSpecialOpen​(java.lang.String cssStyle)

Opening wiki markup for a css style element.

Parameters:
  `cssStyle` - css styles to apply
Returns:
  Opening wiki markup for a css style element.

#### markupCssSpecialClose

    protected abstract java.lang.String markupCssSpecialClose​(java.lang.String cssStyle)

Closing wiki markup for a css style element.

Parameters:
  `cssStyle` - css styles to apply
Returns:
  Closing wiki markup for a css style element.